import main
from utils.deliver_relay_commands import deliverRelayCommands


class EnableCommand:
    def __init__(self, *args):
        self.enable(*args)

    def enable(
        self, addr, authed, data, obj, spl, success, failure, info, incUsage, length
    ):
        if authed:
            if length == 3:
                if not spl[1] in main.network.keys():
                    failure("No such network: %s" % spl[1])
                    return
                if not spl[2].isdigit():
                    failure("Must be a number, not %s" % spl[2])
                    return
                if not int(spl[2]) in main.network[spl[1]].relays.keys():
                    failure("No such relay on %s: %s" % (spl[2], spl[1]))
                    return

                main.network[spl[1]].relays[int(spl[2])]["enabled"] = True
                user = main.alias[int(spl[2])]["nick"]
                network = spl[1]
                commands = {"status": ["Connect"]}
                deliverRelayCommands(int(spl[2]), commands, user=user + "/" + network)
                main.saveConf("network")
                if not spl[1] + spl[2] in main.IRCPool.keys():
                    main.network[spl[1]].start_bot(int(spl[2]))
                else:
                    pass
                success("Successfully enabled bot %s on network %s" % (spl[2], spl[1]))
                return
            else:
                incUsage("enable")
                return
        else:
            incUsage(None)
